Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 79123004: Implemented failIfMajorPerformanceCaveat WebGL context creation attribute. (Closed)

Created:
4 years ago by bajones
Modified:
3 years, 12 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, jam, sievers+watch_chromium.org, jbauman+watch_chromium.org, darin-cc_chromium.org, kalyank, piman+watch_chromium.org, danakj+watch_chromium.org, Zhenyao Mo
Visibility:
Public.

Description

Implemented failIfMajorPerformanceCaveat WebGL context creation attribute. Currently only fails if using swiftshader. BUG=319965 R=kbr@chromium.org, piman@chromium.org, zmo@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=237661

Patch Set 1 #

Total comments: 5

Patch Set 2 : Addressed Feedback #

Total comments: 2

Patch Set 3 : More comments, logging updates #

Unified diffs Side-by-side diffs Delta from patch set Stats (+54 lines, -13 lines) Patch
M content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.h View 1 2 2 chunks +5 lines, -1 line 0 comments Download
M content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M gpu/command_buffer/client/gl_in_process_context.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/client/gl_in_process_context.cc View 1 2 4 chunks +12 lines, -2 lines 0 comments Download
M gpu/command_buffer/common/gles2_cmd_utils.h View 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/common/gles2_cmd_utils.cc View 4 chunks +8 lines, -1 line 0 comments Download
M gpu/command_buffer/service/feature_info.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M gpu/command_buffer/service/feature_info.cc View 1 2 chunks +5 lines, -1 line 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder.cc View 1 2 4 chunks +17 lines, -8 lines 0 comments Download
webkit/common/gpu/webgraphicscontext3d_in_process_command_buffer_impl.cc View 1 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
bajones
Please take a look
4 years ago (2013-11-20 22:33:37 UTC) #1
Ken Russell (switch to Gerrit)
https://codereview.chromium.org/79123004/diff/1/gpu/command_buffer/common/gles2_cmd_utils.cc File gpu/command_buffer/common/gles2_cmd_utils.cc (right): https://codereview.chromium.org/79123004/diff/1/gpu/command_buffer/common/gles2_cmd_utils.cc#newcode737 gpu/command_buffer/common/gles2_cmd_utils.cc:737: const int32 kFailIfMajorPerfCaveat = 0x10002; This duplication of constants ...
4 years ago (2013-11-20 22:39:01 UTC) #2
piman
https://codereview.chromium.org/79123004/diff/1/content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.h File content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.h (right): https://codereview.chromium.org/79123004/diff/1/content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.h#newcode665 content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.h:665: FAIL_IF_MAJOR_PERF_CAVEAT = 0x10002 Can you also implement this in ...
4 years ago (2013-11-20 22:44:54 UTC) #3
Zhenyao Mo
LGTM with nits https://codereview.chromium.org/79123004/diff/1/gpu/command_buffer/service/gles2_cmd_decoder.cc File gpu/command_buffer/service/gles2_cmd_decoder.cc (right): https://codereview.chromium.org/79123004/diff/1/gpu/command_buffer/service/gles2_cmd_decoder.cc#newcode2288 gpu/command_buffer/service/gles2_cmd_decoder.cc:2288: if (command_line->HasSwitch(switches::kUseGL)) { You don't have ...
4 years ago (2013-11-20 22:44:56 UTC) #4
bajones
On 2013/11/20 22:39:01, Ken Russell wrote: > This duplication of constants is really unfortunate. Is ...
4 years ago (2013-11-22 22:16:32 UTC) #5
Ken Russell (switch to Gerrit)
LGTM with the following comments addressed and if this has been tested manually. It would ...
4 years ago (2013-11-23 03:07:03 UTC) #6
piman
lgtm
4 years ago (2013-11-23 03:29:10 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bajones@chromium.org/79123004/240001
3 years, 12 months ago (2013-11-28 01:21:22 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bajones@chromium.org/79123004/240001
3 years, 12 months ago (2013-11-28 02:01:26 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bajones@chromium.org/79123004/240001
3 years, 12 months ago (2013-11-28 02:22:43 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bajones@chromium.org/79123004/240001
3 years, 12 months ago (2013-11-28 02:30:13 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bajones@chromium.org/79123004/240001
3 years, 12 months ago (2013-11-28 03:01:06 UTC) #12
bajones
3 years, 12 months ago (2013-11-28 03:11:56 UTC) #13
Message was sent while issue was closed.
Committed patchset #3 manually as r237661 (presubmit successful).

Powered by Google App Engine
This is Rietveld efc10ee0f